internal::graph_policy_namespace::key_matching< K, KHash > Struct Template Reference

field of type K being used for matching. More...

`#include <_flow_graph_body_impl.h>`

Collaboration diagram for internal::graph_policy_namespace::key_matching< K, KHash >:

## Public Types

typedef K | key_type
typedef strip< K >::type | base_key_type
typedef KHash | hash_compare_type

## Detailed Description

### template<typename K, typename KHash = tbb_hash_compare<typename strip<K>::type >>
struct internal::graph_policy_namespace::key_matching< K, KHash >

field of type K being used for matching.

Definition at line 79 of file _flow_graph_body_impl.h.

## Member Typedef Documentation

## base_key_type

template<typename K , typename KHash = tbb_hash_compare<typename strip<K>::type >>

typedef strip<K>::type internal::graph_policy_namespace::key_matching< K, KHash >::base_key_type

Definition at line 81 of file _flow_graph_body_impl.h.

## hash_compare_type

template<typename K , typename KHash = tbb_hash_compare<typename strip<K>::type >>

typedef KHash internal::graph_policy_namespace::key_matching< K, KHash >::hash_compare_type

Definition at line 82 of file _flow_graph_body_impl.h.

## key_type

template<typename K , typename KHash = tbb_hash_compare<typename strip<K>::type >>

typedef K internal::graph_policy_namespace::key_matching< K, KHash >::key_type

Definition at line 80 of file _flow_graph_body_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.